<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:i="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

<!-- Required meta tags -->
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
<!-- Bootstrap CSS -->
<link href="#{request.contextPath}/css/bootstrap.css" rel="stylesheet"/>
<link href="#{request.contextPath}/css/bootstrap-grid.css" rel="stylesheet"/>
<link href="#{request.contextPath}/css/bootstrap-reboot.css" rel="stylesheet"/>
<!-- Bootstrap CSS -->

<!-- Icons for Bootstrap -->
<script src="https://kit.fontawesome.com/1054f496fb.js" crossorigin="anonymous" type="text/javascript"></script>
<!-- Icons for Bootstrap -->

<!-- Own CSS-File -->
<link href="#{request.contextPath}/css/header-stylesheet.css" rel="stylesheet"/>
<link href="#{request.contextPath}/css/loginpage-content-stylesheet.css" rel="stylesheet"/>

<link href="#{request.contextPath}/css/footer-stylesheet.css" rel="stylesheet"/>
<link href="#{request.contextPath}/css/adminPageCreateUser-stylesheet.css" rel="stylesheet"/>
<!-- Own CSS-File -->

<!-- Icons for Bootstrap -->
<!-- Icons for Bootstrap -->

<!-- Bootstrap Javascript -->
<link href="#{request.contextPath}/js/bootstrap.js" rel="stylesheet"/>
<link href="#{request.contextPath}/js/bootstrap.bundle.js" rel="stylesheet"/>
<!-- Bootstrap Javascript -->

<h:head>
    <title>Turbines</title>
</h:head>

<h:body>
    <nav class="navbar navbar-light bg-light navbar-expand-lg sticky-top ">
        <div class="container">
            <a href="landingpage.xhtml" class="navbar-brand font-weight-bold navbar-style">
                <img src="img/KGT.png" style="width: 60px"/>
                Home
            </a>
            <div class="navbar-right">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a href="mapDisplayForUsers.xhtml" class="navbar-style">
                            <i class="fas fa-map"></i>
                            Map
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <!-- Navigation -->

    <div class="container">
        <h:form id="turbineTable">
            <p:dataTable var="turbine" value="#{turbineController.turbines}">

                <p:column headerText="fed-state">
                    <h:outputText value="#{turbine.state}"/>%
                </p:column>

                <p:column headerText="city">
                    <h:outputText value="#{turbine.district}"/>%
                </p:column>

                <p:column headerText="name">
                    <h:outputText value="#{turbine.serialID}"/>
                </p:column>

                <p:column headerText="gps">
                    <h:outputText value="#{turbine.coordinates}"/>
                </p:column>

            </p:dataTable>
        </h:form>
    </div>
    <footer class="footer bg-light footer-backround-color">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 h-100 text-center text-lg-left my-auto">
                    <ul class="list-inline">
                        <li class="list-inline-item">
                            <a href="#" class="footer-color">About</a>
                        </li>
                        <li class="list-inline-item footer-color">.</li>
                        <li class="list-inline-item">
                            <a href="#" class="footer-color">Contact</a>
                        </li>
                        <li class="list-inline-item footer-color">.</li>
                        <li class="list-inline-item">
                            <a href="#" class="footer-color">Terms of Use</a>
                        </li>
                        <li class="list-inline-item footer-color">.</li>
                        <li class="list-inline-item">
                            <a href="#" class="footer-color">Privacy Policy</a>
                        </li>
                    </ul>
                    <p class="small footer-color">© Your Website 2019. All Rights Reserved.</p>
                </div>
                <div class="col-lg-6 text-center text-lg-right">
                    <ul class="list-inline mb-0">
                        <li class="list-inline-item mr-3">
                            <a href="#" class="footer-color">
                                <i class="fab fa-linkedin fa-2x"></i>
                            </a>
                        </li>
                        <li class="list-inline-item">
                            <a href="#" class="footer-color">
                                <i class="fab fa-xing-square fa-2x"></i>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </footer>
</h:body>
<h:outputScript>
    $(function () {
        $(window).on('scroll', function () {
            if ($(window).scrollTop() > 10) {
                $('.navbar').addClass('active');
            } else {
                $('.navbar').removeClass('active');
            }
        });
    });
</h:outputScript>
</html>
